Subject: Re: Proposal for rework of charter

From: Jonathan Sadler <[email-masked]>
Date: Mon, 02 Oct 2000 13:48:54 -0500

Avri -

In Pittsburgh, it was discussed that the re-charter not be restricted to
Optical switching but include TDM and Spatial switching as well.  By
broadening the scope, the GSMP WG will be able to better parallel the
"Generic MPLS" work in the MPLS WG.

(The GMPLS draft is not restricted to just adding Lambda switching, but
is also discussing SONET/SDH switched path signaling methods.  This came
about as a practical extension since today's service providers have to
operate in Spatial, DWDM, and TDM environments.)

Thoughts?

Jonathan Sadler

[email-masked] wrote:
> 
> The following is the current wording of the proposed re-charter of the
> group.  Before sending it on to the ADs, I am looking for WG consensus
> on sending it on.  Please comment within the next 2 weeks
> (i.e., by 16 October)
> 
> thanks
> a.
> --
> 
> Avri Doria
> +1 401 663 5024
> 
> ---------------
> GSMP WG Re-Charter
> 
> The base General Switch Management Protocol(GSMPv3) protocol is about
> to be submitted to the IESG with the request that it be made a
> proposed standard.
> 
> Currently the GSMP protocol provides switch configuration control and
> reporting, port management, connection control, QoS and traffic
> engineering control and the reporting of statistics and asynchronous
> events for label switch devices.
> 
> The current working group is responsible for completing the
> standardization of the GSMP protocol under the current charter.
> Future work includes:
> 
>   adding support for optical switching
>   defining mechanisms for switch partitioning
>   defining mechanisms for control of IP packet switches.
> 
> - Support for Optical Switching
> 
> The architecture of some optical switches makes the ability to remotely
> control the connection state of a switch important.  GSMP has been
> designed especially for such remote control operations.  GSMP is
> currently lacking in the specific semantics necessary for optical
> switches. The WG will add these capabilities to the GSMP specification.
> This work will be done in cooperation with the IP over Optics working
> group.
> 
> - Switch Partitioning
> 
> The current version of GSMP is designed to work with a single static
> switch partition. There is interest in having GSMP support multiple
> partitions in which resource allocation is dynamic and variable between
> the switch partitions.  This will be achieved by adding capabilities to
> GSMP and by using available management tools, e.g. MIBS and PIBS.
> 
> - IP Packet Switches
> 
> Since GSMP can be used as an adjunct to the MPLS protocol, the group
> will continue to co-ordinate with the MPLS group to make sure that the
> primitives required by a MPLS controller are available in the
> protocol.
> 
> Milestones:
> 
> - Document requirements for switch partitioning (Spring 2001)
> 
> - Document requirements for control of optical switches (Spring 2001)
> 
> - Document requirements for control of IP packet switches (Spring
>   2001)
> 
> - Produce GSMP extensions, MIBs, and PIBs to support the requirements
>   (Fall 2001)
> 
> - Update base GSMPv3 as implementation experience mandates

---

From: "Avri Doria" <[email-masked]>
Date: Mon, 02 Oct 2000 15:11:43 -0400

Hi,

You are correct.  I lost that edit.

I propose the following wording be added after the Optical section :

- Support for generic MPLS switching techniques

The group will collect requirements and define solutions to support
TDM, spatial and other switch types.  This work will parallel the
efforts
currently underway in the MPLS group, specifically Generic MPLS.

and the addition of the following work item

- Document requirements for control of generic MPLS switches (Spring
2001)

Thanks.

a.

-- 

Avri Doria
+1 401 663 5024